%define majver %(echo %version | cut -d. -f1-2)

Name:          purpose
Version:       5.66.0
Release:       1mamba
Summary:       KDE Frameworks 5 abstraction to provide and leverage actions of a specific kind
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/frameworks/%{majver}/purpose-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaccounts-qt5-devel
BuildRequires: libgcc
BuildRequires: libkaccounts-integration-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Abstraction to provide and leverage actions of a specific kind

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_datadir}/accounts/services/kde/*.service
%{_datadir}/icons/hicolor/*/apps/phabricator-purpose.png
%{_datadir}/icons/hicolor/*/apps/reviewboard-purpose.png
%{_datadir}/icons/hicolor/*/actions/kipiplugin_youtube.png
%dir %{_datadir}/kpackage/Purpose/Twitter
%{_datadir}/kpackage/Purpose/Twitter/*
%dir %{_datadir}/purpose
%{_datadir}/purpose/*
%{_datadir}/qlogging-categories5/purpose.categories

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Purpose.so.*
%{_kde5_libdir}/libKF5PurposeWidgets.so.*
%{_kde5_libdir}/libKF5Purpose.so
%{_kde5_libdir}/libKF5PurposeWidgets.so
%{_libdir}/libPhabricatorHelpers.so.*
%{_libdir}/libReviewboardHelpers.so.*
%dir %{_libdir}/qt5/plugins/kf5/purpose
%{_libdir}/qt5/plugins/kf5/purpose/*.so
%{_libdir}/qt5/plugins/kf5/kfileitemaction/*.so
%dir %{_libdir}/qt5/qml/org/kde/purpose
%{_libdir}/qt5/qml/org/kde/purpose/*
%{_libexecdir}/kf5/purposeprocess
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/purpose
%{_kde5_includedir}/purpose/purpose_version.h
%dir %{_kde5_includedir}/purpose/Purpose
%{_kde5_includedir}/purpose/Purpose/*
%dir %{_kde5_includedir}/purpose/purpose
%{_kde5_includedir}/purpose/purpose/*
%dir %{_kde5_includedir}/purposewidgets
%{_kde5_includedir}/purposewidgets/*
%dir %{_libdir}/cmake/KDEExperimentalPurpose
%dir %{_kde5_libdir}/cmake/KF5Purpose
%{_kde5_libdir}/cmake/KF5Purpose/KF5Purpose*.cmake
%{_libdir}/cmake/KDEExperimentalPurpose/KDEExperimentalPurpose*.cmake

%changelog
* Wed Jan 15 2020 Automatic Build System <autodist@mambasoft.it> 5.66.0-1mamba
- automatic version update by autodist

* Wed Dec 25 2019 Automatic Build System <autodist@mambasoft.it> 5.65.0-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 5.64.0-1mamba
- automatic version update by autodist

* Mon Oct 21 2019 Automatic Build System <autodist@mambasoft.it> 5.63.0-1mamba
- automatic version update by autodist

* Thu Sep 19 2019 Automatic Build System <autodist@mambasoft.it> 5.62.0-1mamba
- automatic version update by autodist

* Mon Sep 02 2019 Automatic Build System <autodist@mambasoft.it> 5.61.0-1mamba
- automatic version update by autodist

* Wed Jul 24 2019 Automatic Build System <autodist@mambasoft.it> 5.60.0-1mamba
- automatic version update by autodist

* Fri Jun 14 2019 Automatic Build System <autodist@mambasoft.it> 5.59.0-1mamba
- automatic version update by autodist

* Thu May 16 2019 Automatic Build System <autodist@mambasoft.it> 5.58.0-1mamba
- automatic version update by autodist

* Sat Apr 20 2019 Automatic Build System <autodist@mambasoft.it> 5.57.0-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.56.0-1mamba
- automatic version update by autodist

* Mon Feb 18 2019 Automatic Build System <autodist@mambasoft.it> 5.55.0-1mamba
- automatic version update by autodist

* Sun Jan 20 2019 Automatic Build System <autodist@mambasoft.it> 5.54.0-1mamba
- automatic version update by autodist

* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Sat Nov 24 2018 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Tue Sep 11 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Wed Aug 22 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Wed Jul 18 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Thu May 17 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Thu May 03 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.45.0-1mamba
- update to 5.45.0

* Wed Oct 25 2017 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Sat Jul 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- package created using the webbuild interface
